package com.bonus.canteen.core.autth.role.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("组织权限")
@Data
public class MgrRoleOrgDTO {
   @ApiModelProperty("区域、食堂、档口ID")
   private Long orgId;
   @ApiModelProperty("节点状态：1全选；2半选")
   private Integer halfSelect;

   public Long getOrgId() {
      return this.orgId;
   }

   public Integer getHalfSelect() {
      return this.halfSelect;
   }

   public void setOrgId(final Long orgId) {
      this.orgId = orgId;
   }

   public void setHalfSelect(final Integer halfSelect) {
      this.halfSelect = halfSelect;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof MgrRoleOrgDTO)) {
         return false;
      } else {
         MgrRoleOrgDTO other = (MgrRoleOrgDTO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$orgId = this.getOrgId();
            Object other$orgId = other.getOrgId();
            if (this$orgId == null) {
               if (other$orgId != null) {
                  return false;
               }
            } else if (!this$orgId.equals(other$orgId)) {
               return false;
            }

            Object this$halfSelect = this.getHalfSelect();
            Object other$halfSelect = other.getHalfSelect();
            if (this$halfSelect == null) {
               if (other$halfSelect != null) {
                  return false;
               }
            } else if (!this$halfSelect.equals(other$halfSelect)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof MgrRoleOrgDTO;
   }


   public String toString() {
      Long var10000 = this.getOrgId();
      return "MgrRoleOrgDTO(orgId=" + var10000 + ", halfSelect=" + this.getHalfSelect() + ")";
   }

   public MgrRoleOrgDTO(final Long orgId, final Integer halfSelect) {
      this.orgId = orgId;
      this.halfSelect = halfSelect;
   }

   public MgrRoleOrgDTO() {
   }
}
